summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-11-15 14:34:48 +0100
committerPacho Ramos <pacho@gentoo.org>2015-11-15 15:20:27 +0100
commit13577ff2bfdbce972f661b1864f5d0facada6411 (patch)
tree6a2f9a641f4dc732dd9d7c89d606a1851535e6f7 /media-sound/gnome-music
parentmedia-plugins/grilo-plugins: Keep a version for arches without gom yet... (diff)
downloadgentoo-13577ff2bfdbce972f661b1864f5d0facada6411.tar.gz
gentoo-13577ff2bfdbce972f661b1864f5d0facada6411.tar.bz2
gentoo-13577ff2bfdbce972f661b1864f5d0facada6411.zip
media-sound/gnome-music: Version bump
Package-Manager: portage-2.2.24
Diffstat (limited to 'media-sound/gnome-music')
-rw-r--r--media-sound/gnome-music/Manifest1
-rw-r--r--media-sound/gnome-music/gnome-music-3.18.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/media-sound/gnome-music/Manifest b/media-sound/gnome-music/Manifest
index c55622ae4de..bc29743d7c2 100644
--- a/media-sound/gnome-music/Manifest
+++ b/media-sound/gnome-music/Manifest
@@ -1,3 +1,4 @@
DIST gnome-music-3.14.3.1.tar.xz 1466232 SHA256 9bf614cd790bc7abebe56c65f3acae56c90ea5488f97a41a8ef70bcbce42604a SHA512 ce394fdd6701f5da2b1ac1bf9ca66de706a335ac5022466260a4e5a76646a062f7b48cf27207baea37c29805b234fe0fabe34fe47cea33009b27dbc5aec54e9b WHIRLPOOL 0672023af6dc95da76c78030bfb88c3f74ae127c69715cfc624d1391c5a651808a32203e6a7e20e6408977f610c23c3153ca71616fde21b3dfb290605cf98c35
DIST gnome-music-3.16.1.tar.xz 1477652 SHA256 116945d87fbac6aea2aedfa8e6a98bef720675916a0a6e9ae21aa83d450ad2df SHA512 dfc65d4d951fa9e87b9969b9a4c8affe467770ac37f8bf2027135b26668b099217a467cec6747f16f9cfed04f2403b13923bcd59c2548a9a22f4090adef7e2c2 WHIRLPOOL 9b9af3cdc935189a4aafbe475a1da8481389ddf70495c80a1d0834df370d3b9e195526152837638e2b29023e9734acea6ffed0f5f903b9865d3e26d25b596977
DIST gnome-music-3.16.2.tar.xz 1479984 SHA256 362cf90f6cd41c38845b7afa01ce2f5fbb70ce7694139a69f5dac16620723588 SHA512 c634a72f5c539e7e0792f780dcced1b48c56a0467182ab60506d3d22d1b7b7ff030b79f440ea874b8fca5b084bc121668cd5f03f2eb3ffbd82b7fa810a2885d2 WHIRLPOOL e576f033d1194ea7b9232d420a3e5e4a895ce6836f0e4d592579ea0baeab2b3113f9cf3eafa2f17922ad14c2f45e9b79f07291664ab7404000d74d421bf0c9b4
+DIST gnome-music-3.18.0.tar.xz 1534760 SHA256 e2e4b99a57c7b5c83ce3deccd38880cbafb875b423ab276204af523bc648d69c SHA512 4a87cce71b7ca3dc0aa7e4e64a7d427297fbb08d300e18444bc4acbf637c4c23e34f130c5d72c80e8b052d452b3b962066ee7d3df6f20686f3202a025a5173da WHIRLPOOL 379f6402752f1e73b4ed30db6c854dfd657b63b29b0f02dacf776a058428a9a5e2a0ad454d86abc644f2bcac1e0164d84a6cf3b2bc7e2d7df2e6a966e1a950b3
diff --git a/media-sound/gnome-music/gnome-music-3.18.0.ebuild b/media-sound/gnome-music/gnome-music-3.18.0.ebuild
new file mode 100644
index 00000000000..324407d40ac
--- /dev/null
+++ b/media-sound/gnome-music/gnome-music-3.18.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+PYTHON_COMPAT=( python{3_3,3_4} )
+
+inherit gnome2 python-r1
+
+DESCRIPTION="Music management for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/Music"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.28:2
+ >=dev-libs/gobject-introspection-1.35.9:=
+ >=media-libs/grilo-0.2.6:0.2[introspection]
+ media-libs/libmediaart:2.0
+ >=x11-libs/gtk+-3.13.2:3[introspection]
+"
+# xdg-user-dirs-update needs to be there to create needed dirs
+# https://bugzilla.gnome.org/show_bug.cgi?id=731613
+RDEPEND="${COMMON_DEPEND}
+ app-misc/tracker[introspection(+)]
+ || (
+ app-misc/tracker[gstreamer]
+ app-misc/tracker[ffmpeg]
+ )
+ dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ media-libs/gstreamer:1.0[introspection]
+ media-libs/gst-plugins-base:1.0[introspection]
+ media-plugins/gst-plugins-meta:1.0
+ media-plugins/grilo-plugins:0.2[tracker]
+ x11-misc/xdg-user-dirs
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.26
+ dev-util/itstool
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ python_setup
+}